
var Url = '../publish/';
var graphicUrl = Url + 'archer.graphic.svg';
var configUrl = Url + 'archer.config.json';
var container = document.getElementById('graphic');
var graphic = archer.create(container);


// initial variable values
var rpm = 0;
var fuel = 80;
var alert = false;



$(function(){


	updatevals(rpm,"rpm");
	updatevals(fuel,"fuel");

	$("#fuelrange").on("input change", function(){
		updatevals(this.value, "fuel");
	});
  	$("#rpmrange").on("input change", function(){
  		updatevals(this.value, "rpm");
  	});
  	$("#alert").on("input change", function(){
  		updatevals(this.checked, "alert");
  	});
  
});


// Initialize archer
graphic.loadUrl(graphicUrl, configUrl);
graphic.on('ready', function () {
  graphic.view.zoomToFit(true);
  graphic.view.enableMouse(false, false);
  graphic.setValue('fuel', fuel);
  graphic.setValue('rpm', rpm);
  graphic.setValue('rpm', rpm);
  graphic.setValue('alert', alert);
});
window.addEventListener('resize', function () {graphic.view.resize();});


function updatevals(value,type) {
	if (type == "fuel") {
		graphic.setValue('fuel', value);
		$("#fuelvalue").text(value);
	} else if (type == "rpm") {
		graphic.setValue('rpm', value);
		$("#rpmvalue").text(value);
	} else {
		graphic.setValue('alert', value);
		console.log(value);
	}
}


graphic.on('error', function() {
    document.getElementById('error').style['display'] = 'block';
});



